---
version: '3.8'

x-docker-data: &logging-config
  logging:
    driver: json-file
    options:
      max-size: 10000k
      max-file: '10'

services:
  testload:
    image: quay.io/redhattraining/loadtest:v1.0
    hostname: '{{.Node.Hostname}}-testload'
    <<: *logging-config
    deploy:
      resources:
        limits:
          cpus: '0.10'
          memory: 50M
        reservations:
          cpus: '0.05'
          memory: 20M
    networks:
      bridge:
    ports:
      - "8080:8080"
    environment:
      TZ: 'Europe/Warsaw'
    labels:
      - "pl.com.enigma.nask.b3.watcher.name=test"

networks:
  bridge:
    external: true
